ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

StgCmmArgRep

# Documentation

data ArgRep #

Constructors

P |
N |
L |
V |
F |
D |
V16 |
V32 |
V64 |

Instances

Outputable ArgRep # |
Methods ppr :: ArgRep -> SDoc # pprPrec :: Rational -> ArgRep -> SDoc #

toArgRep :: PrimRep -> ArgRep #

argRepSizeW :: DynFlags -> ArgRep -> WordOff #

argRepString :: ArgRep -> String #

isNonV :: ArgRep -> Bool #

idArgRep :: Id -> ArgRep #

slowCallPattern :: [ArgRep] -> (FastString, RepArity) #